We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Menu Bar is a graphical user interface component that serves as a navigation header for your web application or site. It supports data binding, templates, icons, multilevel nesting, and horizontal and vertical menus.


Data binding

Menu in Angular can be bound to data in the form of JavaScript object array collection. It supports self-referential or hierarchical structure of data.

Angular responsive Menu Bar data binding


Users tend to perceive visual information better than text. Include icons or sprite images to the menu items easily to provide a visual representation of the actions.


Angular Menu Bar templates is used to create custom user experience. It provides template for each menu item to customize the entire Menu UI.


Vertical Menu

Angular Menu supports its alignment in either vertical or horizontal orientation.


Multi-level nesting

Angular MenuBar supports multi-level nested items. You can browse the sub-menu by hovering or clicking a parent item.

Angular Menu with multi level nesting


Integration with other components

Angular Menu can be used with other components. Adding a menu to other components only requires simple configuration.


Built-in themes

Angular Menu supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.


Web Accessibility

  • Fully supports WAI-ARIA for working with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Based on WCAG 2.0 standards, we designed the UI element visuals such as foreground color, background color, line spacing, text and images
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Angular Menu Bar Code Example

Easily get started with the Angular Menu Bar using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Menu Bar Example that shows you how to render and configure a Menu Bar in Angular.

<div id="defaultSample" class="control-section">
    <div class="menu-control">
        <ejs-menu [items]='menuItems'></ejs-menu>
    </div>
</div>
import { Component } from '@angular/core';
import { enableRipple } from '@syncfusion/ej2-base';
import { MenuItemModel } from '@syncfusion/ej2-angular-navigations';

enableRipple(true);

@Component({
    selector: 'app-root',
    template: `<!-- To Render Menu. -->
            <ejs-menu [items]='menuItems'></ejs-menu>`
})

export class AppComponent {
    public menuItems: MenuItemModel[] = [
        {
            text: 'File',
            items: [
                { text: 'Open' },
                { text: 'Save' },
                { text: 'Exit' }
            ]
        },
        {
            text: 'Edit',
            items: [
                { text: 'Cut' },
                { text: 'Copy' },
                { text: 'Paste' }
            ]
        },
        {
            text: 'View',
            items: [
                { text: 'Toolbar' },
                { text: 'Sidebar' }
            ]
        },
        {
            text: 'Tools',
            items: [
                { text: 'Spelling & Grammar' },
                { text: 'Customize' },
                { text: 'Options' }
            ]
        },
        { text: 'Go' },
        { text: 'Help' }
    ];
}

Other supported frameworks

Menu is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Menu platforms from the links below,


Angular version compatibility

With continuous improvement in Angular versions, the Angular Menu Bar is kept up to date to make it compatible with the latest version.




85+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Syncfusion Angular Menu Bar supports the following features:

  • Display a multilevel menu with smooth animation.
  • Customize menu items to include other HTML elements or controls like Checkbox, Radio Button, etc with the help of Angular MenuBar templates.
  • Utilize automatic collision detection to handle submenu flip-and-fit.
  • Orient the menu horizontally or vertically as a navigation drawer.
  • Use it as a hamburger menu to reveal a navigation menu when it is clicked.
  • Deploy one of the best Angular Menu Bar components on the market, providing a feature-rich UI to interact with your apps.
  • Enjoy simple configuration and API.
  • Supports all modern browsers.
  • Touch-friendly for mobile and responsive.
  • Browse extensive demos, documentation, and videos to get started quickly.

We do not sell the Angular Menu Bar separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,800 components and frameworks, including the Angular Menu Bar. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Menu Bar demo, which demonstrates how to render and configure Menu Bar.

No, our 1,800+ components and frameworks for web, mobile, and desktop, including our Angular Menu Bar, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Menu Bar component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,800+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Menu Bar is a graphical user interface component that serves as a navigation header for your web application or site. It supports data binding, templates, icons, multilevel nesting, and horizontal and vertical menus.


Data binding

Menu can be bound to data in the form of JavaScript object array collection. It supports self-referential or hierarchical structure of data.

React Menu Bar data binding


Users tend to perceive visual information better than text. Include icons or sprite images to the menu items easily to provide a visual representation of the actions.


Templates is used to create custom user experience. Menu provides template for each menu item to customize the entire Menu UI.


Vertical menu

React Menu supports its alignment in either vertical or horizontal orientation.


Multi-level nesting

React Menu supports multi-level nested items. You can browse the sub-menu by hovering or clicking a parent item.

React Menu with multi level nesting


Integration with other components

React Menu can be used with other components. Adding a menu to other components only requires simple configuration.


React Menu Bar Code Example

Easily get started with the React Menu Bar using a few simple lines of TSX code example as demonstrated below. Also explore our React Menu Bar Example that shows you how to render and configure a Menu Bar in React.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { MenuComponent, MenuItemModel } from '@syncfusion/ej2-react-navigations';
import { SampleBase } from '../common/sample-base';
import './default.css';

/**
 * Menu default sample
 */
export class Default extends SampleBase<{}, {}> {
    // Menu items definition
    public menuItems: MenuItemModel[] = [
        {
            text: 'File',
            iconCss: 'em-icons e-file',
            items: [
                { text: 'Open', iconCss: 'em-icons e-open' },
                { text: 'Save', iconCss: 'em-icons e-save' },
                { separator: true },
                { text: 'Exit' }
            ]
        },
        {
            text: 'Edit',
            iconCss: 'em-icons e-edit',
            items: [
                { text: 'Cut', iconCss: 'em-icons e-cut' },
                { text: 'Copy', iconCss: 'em-icons e-copy' },
                { text: 'Paste', iconCss: 'em-icons e-paste' }
            ]
        },
        {
            text: 'View',
            items: [
                {
                    text: 'Toolbars',
                    items: [
                        { text: 'Menu Bar' },
                        { text: 'Bookmarks Toolbar' },
                        { text: 'Customize' },
                    ]
                },
                {
                    text: 'Zoom',
                    items: [
                        { text: 'Zoom In' },
                        { text: 'Zoom Out' },
                        { text: 'Reset' },
                    ]
                },
                { text: 'Full Screen' }
            ]
        },
        {
            text: 'Tools',
            items: [
                { text: 'Spelling & Grammar' },
                { text: 'Customize' },
                { separator: true },
                { text: 'Options' }
            ]
        },
        {
            text: 'Help'
        }
    ];

    render() {
        return (
            <div className='control-pane'>
                <div className='control-section'>
                    <div className='menu-section'>
                        <div className='menu-control'>
                            <MenuComponent items={this.menuItems}></MenuComponent>
                        </div>
                    </div>
                </div>
            </div>
        )
    }
}

Other supported frameworks

The Menu Bar component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Menu Bar platforms from the links below,


Built-in themes

The React Menu supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.


Web Accessibility

  • Fully supports WAI-ARIA for working with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Based on WCAG 2.0 standards, we designed the UI element visuals such as foreground color, background color, line spacing, text and images
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.



85+ REACT UI COMPONENTS

Frequently Asked Questions

  • Display a multilevel menu with smooth animation docked in the header and footer.
  • Customize menu items that include other controls like Checkbox, Radio Button, and more.
  • Automatic collision detection with submenu flip, and fits the screen.
  • Use horizontal and vertical menus as a navigation drawer.
  • Hamburger menu, when clicked opens a navigation drawer.
  • One of the best React Menu Bar components in the market that offers a feature-rich UI to interact with the software.
  • Simple configuration and APIs.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Extensive demos, documentation to learn quickly and get started with React Menu Bar.

We do not sell the React Menu Bar separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,800 components and frameworks, including the React Menu Bar. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Menu Bar demo, which demonstrates how to render and configure the Menu Bar.

No, our 1,800+ components and frameworks for web, mobile, and desktop, including our React Menu Bar, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Menu Bar component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,800+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon